import request from '@/config/request_java';

export const APIOptimize = {
    getExpertList,       // 获取专家列表
    getTalkList,         // 获取养育话题列表
    addTalkLabels        // 新增养育话题标签
};
export default APIOptimize;

// 获取专家列表
function getExpertList(id) {
  return request({
    url: `/java_api/optimize/getExpertList`,
    method: 'get',
    params: { id }
  });
}

// 获取养育话题列表
function getTalkList(id) {
    return request({
      url: `/java_api/optimize/getTalkList`,
      method: 'get',
      params: { id }
    });
  }

// 新增养育话题标签
function addTalkLabels(params) {
    return request({
      url: `/java_api/optimize/addTalkLabels`,
      method: 'post',
      data: params
    });
  }